<?php
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Template Name: Labs news template
 *
 *
 * @file           lab-news.php
 * @package        Ubuntu theme
 * @author         Canonical Web Team
 * @copyright      2013 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/lab-news.php
 * @since          available since Release 1.0
 */
get_header();

?>
	<div>
		<nav role="navigation" class="nav-secondary clearfix">
			<ul class="breadcrumb">
				<li><a href="http://juju.canonicalwebteam.com/community/">Community</a> &rsaquo;</li>
				<li><a href="http://juju.canonicalwebteam.com/community/labs/">Labs</a> &rsaquo;</li>
			</ul>
			<ul>
				<li class="active"><a href="http://juju.canonicalwebteam.com/community/labs/news/">News</a></li>
			</ul>
		</nav>
	</div>
	<div class="row no-border">
		<h1>Latest lab news</h1>
<?php
while (have_posts()) : the_post();
	echo '<div class="eight-col">';
		echo '<h3 class="no-margin-bottom"><a href="'. get_permalink(get_the_ID()) .'">';
		echo the_title();
		echo '&nbsp;&rsaquo;</a></h3>';
		echo '<p class="post-details">' . get_the_author() . ' on ' . get_the_date() . '</p>';
		echo '<p>' .  get_the_excerpt('view more') . '</p>';
	echo '</div>';
endwhile;
?>
	</div>
<div id="context-footer" class="context-footer no-border">
<hr />
	<div class="twelve-col vertical-divider">
		<div class="four-col  download-footer">
			<h3>Get Juju now</h3>
			<p>Install Juju and start deploying services to the cloud in seconds.</p>
			<p><a href="/install" class="link-cta-ubuntu">Install Juju</a></p>
		</div>
		<div class="four-col">
			<h3>Try the demo</h3>
			<p>You can try a demo of the Juju GUI and see how easy it is to build a complex environment.</p>
			<p><a href="https://jujucharms.com/sidebar/">Visit the Juju demo&nbsp;&rsaquo;</a></p>
		</div>
		<div class="four-col last-col">
			<h3>Learn how to set up Juju</h3>
			<p>Read through the Juju documentation to learn how to set up Juju.</p>
			<p><a href="/docs/">Read documentation&nbsp;&rsaquo;</a></p>
		</div>
	</div><!-- /.twelve-col -->
</div><!-- #context-footer -->
<?php
get_footer();
?>