<?php
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Template Name: Event template
 *
 *
 * @file           event-page.php
 * @package        Ubuntu theme
 * @author         Canonical Web Team
 * @copyright      2013 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/event-page.php
 * @since          available since Release 1.0
 */
get_header();

?>

<div class="row row-hero">
	<div class="eight-col">
	<h1>Events</h1>
	<p class="intro">This is a list of events where we will attending. In most cases we&rsquo;ll either be doing a talk, a BoF, or a Juju Workshop; we&rsquo;d love it if you were to come out and join us!</p>
	</div>
</div>
<div class="row no-border">
	<div class="twelve-col">

<?php
  wp_reset_query();
	$args = array(	'order' => 'ASC',
					'orderby'	=> 'meta_value',
					'post_type' => 'Event',
					'meta_key' 	=> '_start_eventtimestamp' );
	$eventslist = new WP_Query( $args );
	$event_timestamp = get_post_meta( $post->ID, '_start_eventtimestamp', true );
	if ( have_posts() ) :
?>

		<h2>Conferences</h2>
		<table>
			<thead>
				<tr>
					<td>Conference</td>
					<td>Dates</td>
					<td>Location</td>
					<td>Attendees</td>
				</tr>
			</thead>
			<tbody>

<?php while ($eventslist->have_posts()) : $eventslist->the_post(); ?>

				<?php
					$current_time = current_time('mysql');
					list( $today_year, $today_month, $today_day, $hour, $minute, $second ) = split( '([^0-9])', $current_time );
					$current_timestamp = $today_year . $today_month . $today_day . $hour . $minute;
					// Gets the event start month from the meta field
					$start_nummonth = get_post_meta( $post->ID, '_start_month', true );
					$start_month = get_post_meta( $post->ID, '_start_month', true );
					// Converts the month number to the month name
					$start_month = $wp_locale->get_month_abbrev( $wp_locale->get_month( $start_month ) );
					// Gets the event start day
					$start_day = get_post_meta( $post->ID, '_start_day', true );
					// Gets the event start year
					$start_year = get_post_meta( $post->ID, '_start_year', true );
					// Gets the event start hour
					$start_hour = get_post_meta( $post->ID, '_start_hour', true );
					// Gets the event start minute
					$start_minute = get_post_meta( $post->ID, '_start_minute', true );
					$end_nummonth = get_post_meta( $post->ID, '_end_month', true );
					$end_month = get_post_meta( $post->ID, '_end_month', true );
					// Converts the month number to the month name
					$end_month = $wp_locale->get_month_abbrev( $wp_locale->get_month( $end_month ) );
					// Gets the event start day
					$end_day = get_post_meta( $post->ID, '_end_day', true );
					// Gets the event start year
					$end_year = get_post_meta( $post->ID, '_end_year', true );
					// Gets the event start hour
					$end_hour = get_post_meta( $post->ID, '_end_hour', true );
					// Gets the event start minute
					$end_minute = get_post_meta( $post->ID, '_end_minute', true );
					$location = get_post_meta( $post->ID, '_event_location', true );
					$attendees = get_post_meta( $post->ID, '_event_attendees', true );
					$url = get_post_meta( $post->ID, '_event_url', true );
					$hangout = get_post_meta( $post->ID, '_event_hangout', true );
					$event_timestamp = get_post_meta( $post->ID, '_start_eventtimestamp', true );
					if ( $hangout == '' && $current_timestamp < $event_timestamp ) :
				?>
				<tr itemscope itemtype="http://schema.org/Event">
				<td>
					<a href="<?php echo $url ?>" itemprop="url">
						<span itemprop="name"><?php the_title(); ?></span>
					</a>
				</td>
			    <td>
					<time datetime="<?php echo $start_year .'&dash;' . $start_nummonth . '&dash;' . $start_day . '-T' . $start_hour . ':' . $start_minute; ?>"> <?php echo $start_month . ' ' . $start_day . ' ' . $start_year; ?></time> - <time datetime="<?php echo $end_year .'&dash;' . $end_nummonth . '&dash;' . $end_day . '-T' . $end_hour . ':' . $end_minute; ?>"> <?php echo $end_month . ' ' . $end_day . ' ' . $end_year; ?></time>
			    <td>
			    	<?php echo $location; ?>
			    </td>
			    <td>
			    	<span itemprop="attendee">
			    		<?php echo $attendees; ?>
			    	</span>
			    </td>
			</tr>
			<?php endif;?>
	<?php endwhile;?>
	</tbody>
</table>
</div>
<?php
  wp_reset_query();
?>
<div class="eight-col append-four">
	<h3>Hangouts</h3>
	<p>We also do virtual events. We typically do Google Hangouts in addition to IRC, every other Friday at 1700UTC on #juju and <a href="http://www.ubuntuonair.com">Ubuntu On Air</a>. You can check out the <a href="/videos/">videos page</a> for recordings of these sessions.</p>
</div>
<div class="twelve-col">
<table>
<thead>
<tr>
<td><strong>Topic</strong></td>
<td><strong>Date</strong></td>
<td><strong>Location</strong></td>
</tr>
</thead>
<tbody>
<?php while ($eventslist->have_posts()) : $eventslist->the_post(); ?>

				<?php
					$current_time = current_time('mysql');
					list( $today_year, $today_month, $today_day, $hour, $minute, $second ) = split( '([^0-9])', $current_time );
					$current_timestamp = $today_year . $today_month . $today_day . $hour . $minute;
					// Gets the event start month from the meta field
					$start_nummonth = get_post_meta( $post->ID, '_start_month', true );
					$start_month = get_post_meta( $post->ID, '_start_month', true );
					// Converts the month number to the month name
					$start_month = $wp_locale->get_month_abbrev( $wp_locale->get_month( $start_month ) );
					// Gets the event start day
					$start_day = get_post_meta( $post->ID, '_start_day', true );
					// Gets the event start year
					$start_year = get_post_meta( $post->ID, '_start_year', true );
					// Gets the event start hour
					$start_hour = get_post_meta( $post->ID, '_start_hour', true );
					// Gets the event start minute
					$start_minute = get_post_meta( $post->ID, '_start_minute', true );
					$end_nummonth = get_post_meta( $post->ID, '_end_month', true );
					$end_month = get_post_meta( $post->ID, '_end_month', true );
					// Converts the month number to the month name
					$end_month = $wp_locale->get_month_abbrev( $wp_locale->get_month( $end_month ) );
					// Gets the event start day
					$end_day = get_post_meta( $post->ID, '_end_day', true );
					// Gets the event start year
					$end_year = get_post_meta( $post->ID, '_end_year', true );
					// Gets the event start hour
					$end_hour = get_post_meta( $post->ID, '_end_hour', true );
					// Gets the event start minute
					$end_minute = get_post_meta( $post->ID, '_end_minute', true );
					$location = get_post_meta( $post->ID, '_event_location', true );
					$attendees = get_post_meta( $post->ID, '_event_attendees', true );
					$url = get_post_meta( $post->ID, '_event_url', true );
					$hangout = get_post_meta( $post->ID, '_event_hangout', true );
					$event_timestamp = get_post_meta( $post->ID, '_start_eventtimestamp', true );
					if ( $hangout == 'Yes' && $current_timestamp < $event_timestamp ) :
				?>
				<tr>
				<td><?php the_title(); ?></td>
				<td><time datetime="<?php echo $start_year .'&dash;' . $start_nummonth . '&dash;' . $start_day . '-T' . $start_hour . ':' . $start_minute; ?>"> <?php echo $start_hour . ':' . $start_minute . ' UTC ' . $start_month . ' ' . $start_day . ' ' . $start_year; ?></time></td>
				<td>#juju on Freenode / <a href="http://ubuntuonair.com">ubuntuonair.com</a></td>
				</tr>
				<?php endif;?>
	<?php endwhile;?>
			</tbody>
</table>
</div>
</div>
<div class="tablet-context-footer no-border" id="context-footer">

<hr />

<div class="twelve-col vertical-divider">
<div class="four-col download-footer">
<h3>Get Juju now</h3>
<p>Install Juju and start deploying services to the cloud in seconds.</p>

<a class="link-cta-ubuntu" href="/install">Install Juju</a>

</div>
<div class="four-col">
<h3>Try the demo</h3>
<p>You can try a demo of the Juju GUI and see how easy it is to build a complex environment.</p>

<a href="https://jujucharms.com/sidebar/">Visit the Juju demo&nbsp;&rsaquo;</a>

</div>
<div class="four-col last-col">
<h3>Learn how to setup Juju</h3>
<p>Read through the Juju documentation to learn how to setup Juju.</p>

<a href="/docs/">Read documentation&nbsp;&rsaquo;</a>

</div>
</div>
<!-- /.twelve-col -->

</div>
<!-- #context-footer -->
<?php
	endif;
	wp_reset_query();

	get_footer();
?>
