<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Footer Template
 *
 *
 * @file           footer.php
 * @package        Ubuntu theme 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/footer.php
 * @since          available since Release 1.0
 */
?>
</div><!-- /#main-content -->
</div><!-- /.wrapper -->

<footer class="global clearfix" role="contentinfo">
	<nav role="navigation">
		<div class="footer-a">
			<div class="clearfix">
				<ul>
					<li>
						<h2><a href="/">Juju</a></h2>
						<h2><a href="/charms">Charms</a></h2>
						<h2><a href="/features">Features</a></h2>
						<h2><a href="/deployment">Deployment</a></h2>
						<h2><a href="/install">Install Juju</a></h2>
					</li>
					<li>
						<h2><a href="/resources">Resources</a></h2>
						<ul>
							<li><a href="/resources/juju-overview/">Overview</a></li>
							<li><a href="/docs/">Documentation</a></li>
							<li><a href="/resources/the-juju-gui/">The Juju web UI</a></li>
							<li><a href="/docs/authors-charm-store.html">The charm store</a></li>
							<li><a href="/docs/getting-started.html#test">Tutorial</a></li>
							<li><a href="/resources/videos/">Videos</a></li>
							<li><a href="/resources/easy-tasks-for-new-developers/">Easy tasks for new developers</a></li>
						</ul>
					</li>
					<li>
						<h2><a href="/community">Community</a></h2>
						<ul>
							<li><a href="/community/blog/">Juju Blog</a></li>
							<li><a href="/events/">Events</a></li>
							<li><a href="/community/weekly-charm-meeting/">Weekly charm meeting</a></li>
							<li><a href="/community/charmers/">Charmers</a></li>
							<li><a href="/docs/authors-charm-writing.html">Write a charm</a></li>
							<li><a href="/docs/">Help with documentation</a></li>
							<li><a href="/labs/">Juju Labs</a></li>
						</ul>
					</li>
					<li>
						<h2>Support</h2>
						<ul>
							<li><a href="https://bugs.launchpad.net/juju-core/+filebug">File a bug</a></li>
							<li><a href="https://lists.ubuntu.com/mailman/listinfo/juju">Join the mailing list</a></li>
							<li><a href="http://webchat.freenode.net/?channels=juju">Ping us in IRC</a></li>
							<li><a href="http://askubuntu.com/questions/tagged/juju">Get answers at Ask Ubuntu</a></li>
						</ul>
					</li>
					<li>
						<h2>Spread the word</h2>
						<ul>
							<li class="social-facebook"><a href="https://www.facebook.com/UbuntuJuju">Facebook</a></li>
							<li class="social-twitter"><a href="http://twitter.com/ubuntucloud">Twitter</a></li>
							<li class="social-google"><a href="https://plus.google.com/103184405956510785630/posts">Google+</a></li>
						</ul>
					</li>
				</ul>
			</div>
		</div>
	</nav>
	<div class="legal clearfix">
		<p>&copy; <?php echo date('Y'); ?> Canonical Ltd. Ubuntu and Canonical are registered trademarks of <a href="http://canonical.com">Canonical Ltd</a>.</p>
	</div>
</footer>

<?php wp_footer(); ?>

<script src="//assets.ubuntu.com/sites/ubuntu/latest/u/js/core.js"></script>
<script src="//assets.ubuntu.com/sites/ubuntu/latest/u/js/global.js"></script>
<script src="/wp-content/themes/ubuntu/library/js/scratch.js"></script>

<!-- google analytics -->
<script>
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-1018242-41']);
  _gaq.push(['_trackPageview']);

  (function() {
  var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
  ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
  var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>

</body>
</html>