<?php
require_once('library/functions/rss.php');
require_once('library/functions/general.php');
require_once('library/functions/javascript.php');
require_once('library/functions/metaboxes.php');

/*
/community/blog/%year%/%monthnum%/%day%/%postname%/
*/

// REPLACE "current_page_" WITH CLASS "active"
function current_to_active($text){
	$replace = array(
		// List of classes to replace with "active"
		'current_page_item' => 'active',
		'current_page_parent' => 'active',
	);
	$text = str_replace(array_keys($replace), $replace, $text);
	return $text;
}
add_filter('wp_list_pages','current_to_active');


function add_body_class( $classes )
{
    global $post;
    if ( isset( $post ) ) {
        $classes[] = $post->post_type . '-' . $post->post_name;
    }
    return $classes;
}
add_filter( 'body_class', 'add_body_class' );

remove_filter( 'the_content', 'wpautop' );
remove_filter( 'the_excerpt', 'wpautop' );

require_once('library/functions/event-posts.php');

add_action( 'init', 'create_lab_post_type' );
function create_lab_post_type() {
	register_post_type( 'lab',
		array(
			'labels' => array(
				'name' => __( 'Labs' ),
				'singular_name' => __( 'Lab' )
			),
		'public' => true,
		'has_archive' => true,
		'rewrite' => array('slug' => 'community/lab'),
		)
	);
}

add_action( 'init', 'create_lab_news_type' );
function create_lab_news_type() {
	register_post_type( 'lab-news',
		array(
			'labels' => array(
				'name' => __( 'Lab news' ),
				'singular_name' => __( 'Lab news' )
			),
		'public' => true,
		'has_archive' => true,
		'rewrite' => array('slug' => 'community/labs/news'),
		'supports' => array('title','editor','page-attributes','tags'),
		'taxonomies' => array('post_tag'),
		)
	);
}

add_action( 'init', 'create_lab_assignment_type' );
function create_lab_assignment_type() {
	register_post_type( 'lab-assignment',
		array(
			'labels' => array(
				'name' => __( 'Lab assignments' ),
				'singular_name' => __( 'Lab assignment' )
			),
		'public' => true,
		'rewrite' => array('slug' => 'community/labs/assignment'),
		'has_archive' => false,
		)
	);
}

?>