<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Header Template
 *
 *
 * @file           header.php
 * @package        Ubuntu blog theme
 * @author         Canonical Web Team
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/insights-theme/header.php
 * @since          available since Release 1.0
 */
?>
<!doctype html>

<!--[if lt IE 7]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if (IE 7)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8"><![endif]-->
<!--[if (IE 8)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?> class="no-js" /><!--<![endif]-->

<head>

<title>Ubuntu <?php bloginfo('name'); ?> <?php is_home() ? bloginfo('description') : wp_title('|'); ?></title>

<meta charset="utf-8" />
<?php
$meta_description = get_post_meta( get_the_ID(), 'meta_description', true );
$meta_keywords = get_post_meta( get_the_ID(), 'meta_keywords', true );

if(empty( $meta_description )) {
  $meta_description = 'Juju is a powerful service orchestration tool from Ubuntu that helps you define, configure and deploy services to any cloud quickly and easily.';
}
if(empty( $meta_description )) {
  $meta_keywords = 'juju, charms, services, service orchestration, cloud, deployment, puppet, chef, fuel, cloud tools, service management, cloud management, configuration management, linux tool, openstack tool, ubuntu, cloud design, cloud orchestration';
}
?>
<meta name="description" content="<?php echo $meta_description ?>" />
<meta name="keywords" content="<?php echo $meta_keywords ?>" />

<!-- Google Chrome Frame for IE -->
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

<link rel="shortcut icon" href="http://assets.ubuntu.com/sites/ubuntu/latest/u/img/favicon.ico" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<script src="/wp-content/themes/ubuntu/library/js/all-yui.js"></script>

<!-- stylesheet -->
<link rel="stylesheet" type="text/css" media="all" href="//fonts.googleapis.com/css?family=Ubuntu:300,400,400italic" />
<link rel="stylesheet" type="text/css" media="screen" href="//assets.ubuntu.com/sites/guidelines/css/latest/ubuntu-styles.css" />
<link rel="stylesheet" type="text/css" media="screen" href="//assets.ubuntu.com/sites/ubuntu/latest/u/css/global.css" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/library/css/style.css" type="text/css" />

<!-- wordpress head functions -->
<?php wp_head(); ?>
<!-- end of wordpress head -->

</head>
<body <?php body_class(); ?>>

<header class="banner global" role="banner">
	<nav role="navigation" class="nav-primary nav-right">
		<div class="logo">
			<a class="logo-ubuntu" href="<?php echo get_option('home'); ?>/">
				<img width="118" height="27" src="https://assets.ubuntu.com/sites/ubuntu/latest/u/img/logo.png" alt="<?php bloginfo('name'); ?> logo" />
				<span><?php bloginfo('name'); ?></span>
			</a>
		</div>
		<?php
		// Exit if accessed directly
		if ( !defined('ABSPATH')) exit;
		?>
		<ul>
			<li class="accessibility-aid"><a accesskey="s" href="#main-content">Jump to content</a></li>
			<?php wp_list_pages('exclude=2,451,496,505,549&sort_column=menu_order&title_li=&depth=1'); ?>
		</ul>
		<div id="box-search">
			<?php include (TEMPLATEPATH . '/searchform.php'); ?>
		</div><!-- /#search-box -->
	</nav>
</header>

<div class="wrapper">
<div id="main-content" class="inner-wrapper" role="main">
<?php
// If the page has children, display the children in the nav.
// If the page has a parent, display the children of the parent in the nav.
// If the page doesn't have children, or a parent, don't display the nav.
// If the page is 'resources', or a descendant, don't display the nav.
// If the page is 'search', don't display the nav.
$pages = get_pages("sort_column=menu_order&depth=1&child_of=" . $post->ID) ? $post->ID : $post->post_parent;
$current = $post;
$output = '';
$active = '';
$parents = array();
if ($pages && !is_search()) { ?>
	<div>
		<nav role="navigation" class="nav-secondary clearfix">
			<ul class="breadcrumb">
				<?php
					while($current->post_parent) {
						$current = get_post($current->post_parent);
						$output = '<li><a href="' . get_permalink($current) . '">'.get_the_title($current).'</a> &rsaquo;</li>' . $output;
					}
					$children = get_pages('child_of='.$post->ID);
					if(count( $children ) != 0) {
						$active = '<li class="active"><a href="' . get_permalink($post->ID) . '">'.get_the_title($post->ID).'</a> &rsaquo;</li>';
					}
					echo $output . $active;
				?>
			</ul>
			<ul>
				<?php wp_list_pages('sort_column=menu_order&title_li=&depth=1&child_of=' . $pages .'&current_page_item=active'); ?>
			</ul>
		</nav>
	</div>
<?php } ?>