<?php
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Template Name: Labs template
 *
 *
 * @file           labs.php
 * @package        Ubuntu theme
 * @author         Canonical Web Team
 * @copyright      2013 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/labs.php
 * @since          available since Release 1.0
 */
get_header();

while (have_posts()) : the_post();
	the_content();
	echo get_post_meta(get_the_ID(), 'current_labs', true);
endwhile;

$labs = new WP_Query( array( 'post_type' => 'lab') );
$count = 0;
while ( $labs->have_posts() ) : $labs->the_post();
	$count++;
	$last_class = ($count % 3 == 0)?'last-col':'';
	echo '<div class="four-col box box-highlight ' . $last_class . '">';
		echo '<h3><a href="'. get_permalink(get_the_ID()) .'">';
		echo the_title();
		echo '&nbsp;&rsaquo;</a></h3>';
		echo '<p class="description">' . get_the_excerpt() . '</p>';
		echo '<div class="status-bar ' . get_post_meta(get_the_ID(), 'lab_status_meta_box', true) . '"></div>';
		echo '<p class="status">Status: <span>' . get_post_meta(get_the_ID(), 'lab_status_meta_box', true) . '</span></p>';
	echo '</div>';
endwhile;

while (have_posts()) : the_post();
	echo get_post_meta(get_the_ID(), 'current_labs_end', true);
	echo get_post_meta(get_the_ID(), 'please_note', true);
	$lab_news = new WP_Query( array( 'post_type' => 'lab-news', 'showposts' => 3) );
	while ( $lab_news->have_posts() ) : $lab_news->the_post();
		echo '<div class="news">';
			echo '<h4 class="no-margin-bottom"><a href="'. get_permalink(get_the_ID()) .'">';
			echo the_title();
			echo '&nbsp;&rsaquo;</a></h4>';
			echo '<p class="post-details">' . get_the_author() . ' on ' . get_the_date() . '</p>';
		echo '</div>';
	endwhile;
endwhile;
while (have_posts()) : the_post();
	echo get_post_meta(get_the_ID(), 'please_note_end', true);
	echo get_post_meta(get_the_ID(), 'context_footer', true);
endwhile;


get_footer();
?>