<?php

// adding custom fields to WP user profile
function user_profiles( $contactmethods ) {
    //add Job title
    $contactmethods['roleinteam'] = 'Team Role';
    //add Job title
    $contactmethods['orderinteam'] = 'Team Order';
    // Add IRC
    $contactmethods['user_launchpad'] = 'Launchpad username';
    // Add Google profile
    $contactmethods['user_google'] = 'Google+ username';
    // Add Twitter
    $contactmethods['user_twitter'] = 'Twitter username';
    //add Facebook
    $contactmethods['user_facebook'] = 'Facebook username';
    //add image id
    $contactmethods['user_photo'] = 'Profile photo';
    //add location
    $contactmethods['user_location'] = 'Location (Indicate your city and country. Eg. London, United Kingdom)';

    return $contactmethods;
}

add_filter('user_contactmethods','user_profiles',10,1);
// end of adding custom fields to WP user profile

/**
* Metaboxes
*
*/

add_action( 'add_meta_boxes', 'so_custom_meta_box' );

function so_custom_meta_box($post){
    add_meta_box('lab_status_meta_box', 'Lab status', 'lab_status_class_meta_box', 'lab', 'normal' , 'high');
}

add_action('save_post', 'lab_status_save_metabox');

function lab_status_save_metabox(){
    global $post;
    if(isset($_POST["lab_status"])){
        $lab_status = $_POST['lab_status'];
        update_post_meta($post->ID, 'lab_status_meta_box', $lab_status);
    }
}

function lab_status_class_meta_box($post){
    $lab_status = get_post_meta($post->ID, 'lab_status_meta_box', true);
    ?>
    <label>Lab status :  </label>

    <select name="lab_status" id="lab_status">
      <option value="green" <?php selected( $lab_status, 'green' ); ?>>Green</option>
      <option value="amber" <?php selected( $lab_status, 'amber' ); ?>>Amber</option>
      <option value="red" <?php selected( $lab_status, 'red' ); ?>>Red</option>
    </select>
    <?php
}

add_action( 'add_meta_boxes', 'lab_details_custom_meta_box' );

function lab_details_custom_meta_box($post){
    add_meta_box('lab_details_meta_box', 'Lab details', 'lab_details_class_meta_box', 'lab', 'normal' , 'high');
}

add_action('save_post', 'lab_details_save_metabox');

function lab_details_save_metabox(){
    global $post;
    if(isset($_POST["lab_details"])){
        $lab_details = $_POST['lab_details'];
        update_post_meta($post->ID, 'lab_details_meta_box', $lab_details);
    }
    if(isset($_POST["lab_blurb"])){
        $lab_blurb = $_POST['lab_blurb'];
        update_post_meta($post->ID, 'lab_blurb_meta_box', $lab_blurb);
    }
}

function lab_details_class_meta_box($post){
    $lab_details = get_post_meta($post->ID, 'lab_details_meta_box', true);
    $lab_blurb = get_post_meta($post->ID, 'lab_blurb_meta_box', true);
    ?>
    <label>Status blurb :  </label>
    <textarea type="text" name="lab_blurb"><?php echo $lab_blurb; ?></textarea>
    <label>Lab details :  </label>
    <textarea type="text" name="lab_details"><?php echo $lab_details; ?></textarea>
    <?php
}

add_action( 'add_meta_boxes', 'lab_asset_custom_meta_box' );

function lab_asset_custom_meta_box($post){
    add_meta_box('lab_asset_meta_box', 'Lab asset', 'lab_asset_class_meta_box', 'lab', 'normal' , 'high');
}

add_action('save_post', 'lab_asset_save_metabox');

function lab_asset_save_metabox(){
    global $post;
    if(isset($_POST["lab_asset_video"])){
        $lab_asset_video = $_POST['lab_asset_video'];
        update_post_meta($post->ID, 'lab_asset_video', $lab_asset_video);
    }
    if(isset($_POST["lab_asset_slide"])){
        $lab_asset_slide = $_POST['lab_asset_slide'];
        update_post_meta($post->ID, 'lab_asset_slide', $lab_asset_slide);
    }
}

function lab_asset_class_meta_box($post){
    $lab_asset_video = get_post_meta($post->ID, 'lab_asset_video', true);
    $lab_asset_slide = get_post_meta($post->ID, 'lab_asset_slide', true);
    ?>
    <label>Lab video link :  </label>
    <input type="text" name="lab_asset_video" value="<?php echo $lab_asset_video; ?>">

    <label>Lab slideshow link :  </label>
    <input type="text" name="lab_asset_slide" value="<?php echo $lab_asset_slide; ?>">
    <?php
}

add_action( 'add_meta_boxes', 'assignment_related_lab_custom_meta_box' );

function assignment_related_lab_custom_meta_box($post){
    add_meta_box('assignment_related_lab_meta_box', 'Related lab', 'assignment_related_lab_class_meta_box', 'lab-assignment', 'normal' , 'high');
}

add_action('save_post', 'assignment_related_lab_save_metabox');

function assignment_related_lab_save_metabox(){
    global $post;
    if(isset($_POST["releated_lab"])){
        $releated_lab = $_POST['releated_lab'];
        update_post_meta($post->ID, 'assignment_related_lab_meta_box', $releated_lab);
    }
}

function assignment_related_lab_class_meta_box($post){
    $releated_lab = get_post_meta($post->ID, 'assignment_related_lab_meta_box', true);
    ?>
    <label>Related lab :  </label>
    <select name="releated_lab" id="releated_lab">
        <option value="-1">--- Select lab ---</option>
        <?php
        $args = array( 'post_type' => 'lab');
        $loop = new WP_Query( $args );
        while ( $loop->have_posts() ) : $loop->the_post();
        ?>
            <option value="<?php echo get_the_ID(); ?>" <?php selected( $releated_lab, get_the_ID() ); ?>><?php echo the_title(); ?></option>
        <?php
        endwhile;
        ?>
    </select>
    <?php
}


add_action( 'add_meta_boxes', 'assignment_link_custom_meta_box' );

function assignment_link_custom_meta_box($post){
    add_meta_box('assignment_link_meta_box', 'Assignment Link', 'assignment_link_class_meta_box', 'lab-assignment', 'normal' , 'high');
}

add_action('save_post', 'assignment_link_save_metabox');

function assignment_link_save_metabox(){
    global $post;
    if(isset($_POST["assignment_link"])){
        $assignment_link = $_POST['assignment_link'];
        update_post_meta($post->ID, 'assignment_link_meta_box', $assignment_link);
    }
    if(isset($_POST["assignment_link_text"])){
        $assignment_link_text = $_POST['assignment_link_text'];
        update_post_meta($post->ID, 'assignment_link_text_meta_box', $assignment_link_text);
    }
}

function assignment_link_class_meta_box($post){
    $assignment_link = get_post_meta($post->ID, 'assignment_link_meta_box', true);
    $assignment_link_text = get_post_meta($post->ID, 'assignment_link_text_meta_box', true);
    ?>
    <label>Assignment link :  </label>
    <input type="text" name="assignment_link" value="<?php echo $assignment_link; ?>">
    <label>Assignment link text :  </label>
    <input type="text" name="assignment_link_text" value="<?php echo $assignment_link_text; ?>">
    <?php
}
