<?php
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Template Name: Lab news article template
 *
 *
 * @file           lab-news-article.php
 * @package        Ubuntu theme
 * @author         Canonical Web Team
 * @copyright      2013 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/lab-news-article.php
 * @since          available since Release 1.0
 */
get_header();
?>
<div>
	<nav role="navigation" class="nav-secondary clearfix">
		<ul class="breadcrumb">
			<li><a href="http://juju.canonicalwebteam.com/community/">Community</a> &rsaquo;</li>
			<li><a href="http://juju.canonicalwebteam.com/community/labs/">Labs</a> &rsaquo;</li>
			<li><a href="http://juju.canonicalwebteam.com/community/labs/news/">News</a> &rsaquo;</li>
		</ul>
		<ul>
			<li class="active"><a href="<?php echo get_permalink(get_the_ID()) ?>"><?php the_title(); ?></a></li>
		</ul>
	</nav>
</div>
<?php
	while (have_posts()) : the_post();
?>
<div class="row vertical-divider vertical-divider-full">
	<h1>News</h1>
	<div class="eight-col">
		<h2><?php the_title(); ?></h2>
		<p><?php the_content(); ?></p>
	</div>
	<div class="four-col last-col post-details">

		<?php if(get_the_author_meta('user_photo', $curauth->ID)): ?>
		    <img class="avatar" src="<?php bloginfo('url'); ?>/wp-content/uploads/<?php the_author_meta('user_photo',$curauth->ID); ?>" class="superellipse" alt="<?php the_author_meta('first_name',$curauth->ID); ?>'s photo" width="110" height="110" />
	    <?php else : ?>
		    <?php echo get_avatar($curauth->user_email, '110', $avatar); ?>
	    <?php endif; ?>

		<p class="author"><?php echo get_the_author() ?></p>
		<p>Posted on <?php echo get_the_date() ?></p>

			<?php

			/*<p>Filed under: <?php echo get_the_tags(' | ') ?></p>
			$posttags = get_the_tags();
			if(get_the_tags()) {
				$posttags = get_the_tags();
				echo '<p>Filed under:';
				foreach($posttags as $tag) {
					$tagging = $tagging . '<a href="?tag='.$tag->slug.'">'.$tag->name .'</a>'. ', ';
				}
				echo '</p>';
			}*/
			?>

	</div>
</div>
<div class="row row-grey no-border no">
	<h2>Other articles</h2>
	<?php
	$this_id = get_the_ID();
	$lab_news = new WP_Query( array( 'post_type' => 'lab-news') );
	$last_class = ($count % 2 == 0)?'last-col':'';
	$count = 0;
	while ( $lab_news->have_posts() ) : $lab_news->the_post();
		$count++;
		if($this_id != get_the_ID()){
			echo '<div class="six-col ' . $last_class . '">';
				echo '<p class="no-margin-bottom"><a href="'. get_permalink(get_the_ID()) .'">';
				echo the_title();
				echo '&nbsp;&rsaquo;</a></p>';
				echo '<p class="post-details">' . get_the_author() . ' on ' . get_the_date() . '</p>';
			echo '</div>';
		}
	endwhile;
	?>
</div>
<?php
endwhile;
?>

<div id="context-footer" class="context-footer no-border">
<hr />
	<div class="twelve-col vertical-divider">
		<div class="four-col  download-footer">
			<h3>Get Juju now</h3>
			<p>Install Juju and start deploying services to the cloud in seconds.</p>
			<p><a href="/install" class="link-cta-ubuntu">Install Juju</a></p>
		</div>
		<div class="four-col">
			<h3>Try the demo</h3>
			<p>You can try a demo of the Juju GUI and see how easy it is to build a complex environment.</p>
			<p><a href="https://jujucharms.com/sidebar/">Visit the Juju demo&nbsp;&rsaquo;</a></p>
		</div>
		<div class="four-col last-col">
			<h3>Learn how to set up Juju</h3>
			<p>Read through the Juju documentation to learn how to set up Juju.</p>
			<p><a href="/docs/">Read documentation&nbsp;&rsaquo;</a></p>
		</div>
	</div><!-- /.twelve-col -->
</div><!-- #context-footer -->

<?php
get_footer();
?>