<?php
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Template Name: Lab article template
 *
 *
 * @file           single-lab.php
 * @package        Ubuntu theme
 * @author         Canonical Web Team
 * @copyright      2013 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/single-lab.php
 * @since          available since Release 1.0
 */
get_header();

while (have_posts()) : the_post();

?>
<div>
	<nav role="navigation" class="nav-secondary clearfix">
		<ul class="breadcrumb">
			<li><a href="http://juju.canonicalwebteam.com/community/">Community</a> &rsaquo;</li>
			<li><a href="http://juju.canonicalwebteam.com/community/labs/">Labs</a> &rsaquo;</li>
		</ul>
		<ul>
			<li class="active"><a href="<?php echo get_permalink(get_the_ID()) ?>"><?php the_title(); ?></a></li>
		</ul>
	</nav>
</div>
<div class="row vertical-divider vertical-divider-full">
	<h1>Labs</h1>
	<div class="eight-col">
		<h2><?php the_title(); ?></h2>
		<p><?php the_content(); ?></p>
	</div>
	<div class="four-col last-col">
		<div class="status-bar <?php echo get_post_meta(get_the_ID(), 'lab_status_meta_box', true) ?>"></div>
		<p class="status">Status: <span><?php echo get_post_meta(get_the_ID(), 'lab_status_meta_box', true) ?></span></p>
		<?php
			echo get_post_meta(get_the_ID(), 'lab_blurb_meta_box', true);
		?>
	</div>
</div>
<div class="row no-border">
	<div class="eight-col">

		<?php
			$video = get_post_meta(get_the_ID(), 'lab_asset_video', true);
			$slide = get_post_meta(get_the_ID(), 'lab_asset_slide', true);
			if( $slide != '') {
				echo '<iframe src="//www.slideshare.net/slideshow/embed_code/'.$slide.'?rel=0" width="560" height="458" frameborder="0" marginwidth="0" marginheight="0" scrolling="no" style="border:1px solid #CCC;border-width:1px 1px 0;margin-bottom:5px" allowfullscreen> </iframe>';
			}else if($video != '') {
				echo '<iframe width="560" height="315" src="//www.youtube.com/embed/'.$video.'" frameborder="0" allowfullscreen></iframe>';
			}
		?>
	</div>
	<div class="four-col last-col">
		<div class="box box-highlight">
			<h2><a href="/">Juju &rsaquo;</a></h2>
			<p>Instant Solutions for Common Problems on Any Cloud or Server.</p>
			<p><a href="/">Learn more about Juju &rsaquo;</a></p>
		</div>
	</div>
</div>
<div class="row row-grey no-border">
	<?php
		echo get_post_meta(get_the_ID(), 'lab_details_meta_box', true);
	?>
</div>
<div class="row no-border">
	<h2>Take part to make this happen</h2>
	<h3>Help us today</h3>
	<p>If you are interested in making this lab a reality, please help us with these tasks.</p>
	<?php
	$current_id = get_the_ID();
	$lab_assignment = new WP_Query( array( 'post_type' => 'lab-assignment') );
	while ( $lab_assignment->have_posts() ) : $lab_assignment->the_post();
		if($current_id == get_post_meta(get_the_ID(), 'assignment_related_lab_meta_box', true)) {
			echo '<div class="assignments">';
				echo '<p class="no-margin-bottom strong">'.get_the_date().'</p>';
				echo '<p class="no-margin-bottom">';
				echo the_title();
				echo '</p>';
				echo '<p><a href="'.get_post_meta($post->ID, 'assignment_link_meta_box', true).'">'.get_post_meta($post->ID, 'assignment_link_text_meta_box', true).' &rsaquo;</a></p>';
			echo '</div>';
		}
	endwhile;
	?>
</div>
<div id="context-footer" class="context-footer no-border">
<hr />
	<div class="twelve-col vertical-divider">
		<div class="four-col  download-footer">
			<h3>Get Juju now</h3>
			<p>Install Juju and start deploying services to the cloud in seconds.</p>
			<p><a href="/install" class="link-cta-ubuntu">Install Juju</a></p>
		</div>
		<div class="four-col">
			<h3>Try the demo</h3>
			<p>You can try a demo of the Juju GUI and see how easy it is to build a complex environment.</p>
			<p><a href="https://jujucharms.com/sidebar/">Visit the Juju demo&nbsp;&rsaquo;</a></p>
		</div>
		<div class="four-col last-col">
			<h3>Learn how to set up Juju</h3>
			<p>Read through the Juju documentation to learn how to set up Juju.</p>
			<p><a href="/docs/">Read documentation&nbsp;&rsaquo;</a></p>
		</div>
	</div><!-- /.twelve-col -->
</div><!-- #context-footer -->
<?php

endwhile;

get_footer();
?>